# ai-media ## ai_media_orgs_users_heygen_templates_list - [GET /api/ai-media/orgs/{org}/users/{user_id}/heygen/templates/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_templates_list.md): API view to list or append Heygen template ids for a tenant. ## ai_media_orgs_users_heygen_templates_create - [POST /api/ai-media/orgs/{org}/users/{user_id}/heygen/templates/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_templates_create.md): Endpoint to add a Heygen template id to an org. Only platform admins have access to this endpoint. ## ai_media_orgs_users_heygen_templates_destroy - [DELETE /api/ai-media/orgs/{org}/users/{user_id}/heygen/templates/{template_name}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_templates_destroy.md): Endpoint to delete a Heygen template id for an org. The reponse status code is always 204 when no error. Only platform admins have access to this endpoint. ## ai_media_orgs_users_heygen_video_captions_retrieve - [GET /api/ai-media/orgs/{org}/users/{user_id}/heygen/video-captions/{heygen_marketing_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_video_captions_retrieve.md): Endpoint to download caption for a video. ## ai_media_orgs_users_heygen_video_captions_create - [POST /api/ai-media/orgs/{org}/users/{user_id}/heygen/video-captions/{heygen_marketing_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_video_captions_create.md): Endpoint to upload a new caption for a generated video. Only platform admins have access to this endpoint. ## ai_media_orgs_users_heygen_video_download_retrieve - [GET /api/ai-media/orgs/{org}/users/{user_id}/heygen/video-download/{heygen_marketing_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_video_download_retrieve.md): Endpoint used to download a heygen video. Only platform admins have access to this endpoint. ## ai_media_orgs_users_heygen_videos_list - [GET /api/ai-media/orgs/{org}/users/{user_id}/heygen/videos/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_videos_list.md): Mixin that includes the StudentTokenAuthentication and IsPlatformAdmin ## ai_media_orgs_users_heygen_videos_create - [POST /api/ai-media/orgs/{org}/users/{user_id}/heygen/videos/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_videos_create.md): Endpoint to create a Heygen video Only platform admins have access to this endpoint. ## ai_media_orgs_users_heygen_videos_retrieve - [GET /api/ai-media/orgs/{org}/users/{user_id}/heygen/videos/{heygen_marketing_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_videos_retrieve.md): Mixin that includes the StudentTokenAuthentication and IsPlatformAdmin ## ai_media_orgs_users_heygen_videos_destroy - [DELETE /api/ai-media/orgs/{org}/users/{user_id}/heygen/videos/{heygen_marketing_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_heygen_videos_destroy.md): Endpoint used to delete a heygen video. Only platform admins have access to this endpoint. ## ai_media_orgs_users_veo_video_download_retrieve - [GET /api/ai-media/orgs/{org}/users/{user_id}/veo/video-download/{veo_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_veo_video_download_retrieve.md): Endpoint used to download a Veo video. Only platform admins have access to this endpoint. ## ai_media_orgs_users_veo_videos_list - [GET /api/ai-media/orgs/{org}/users/{user_id}/veo/videos/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_veo_videos_list.md): Mixin that includes the StudentTokenAuthentication and IsPlatformAdmin ## ai_media_orgs_users_veo_videos_create - [POST /api/ai-media/orgs/{org}/users/{user_id}/veo/videos/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_veo_videos_create.md): Endpoint to create a Veo3 video Only platform admins have access to this endpoint. ## ai_media_orgs_users_veo_videos_retrieve - [GET /api/ai-media/orgs/{org}/users/{user_id}/veo/videos/{veo_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_veo_videos_retrieve.md): Mixin that includes the StudentTokenAuthentication and IsPlatformAdmin ## ai_media_orgs_users_veo_videos_destroy - [DELETE /api/ai-media/orgs/{org}/users/{user_id}/veo/videos/{veo_video_id}/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_veo_videos_destroy.md): Endpoint used to delete a veo3 video. Only platform admins have access to this endpoint. ## ai_media_orgs_users_video_script_generation_audio_create - [POST /api/ai-media/orgs/{org}/users/{user_id}/video-script-generation/audio/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_video_script_generation_audio_create.md): Endpoint to generate video scripts from a audio file. The audio file can be one of mp3 and wav. The request should be a multipart form with your audio file in the file field. Initial Response: {"script": None, "status": "started_generation", "generation_id": "your-generation-id."} This signals the generation has started. You can use the generation id to query video script generation status from this endpoint, using a JSON like below: {"generation_id": "your-generation-id"} Example response: {"script": "hello this is a video script.", "status": "finished", "generation_id": "your-generation-id"} ## ai_media_orgs_users_video_script_generation_document_create - [POST /api/ai-media/orgs/{org}/users/{user_id}/video-script-generation/document/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_video_script_generation_document_create.md): Endpoint to generate video scripts from a document file. The document file can be one of docx, doc, pptx, ppt, txt and pdf. The request should be a multipart form with your document file in the file field. Initial Response: {"script": None, "status": "started_generation", "generation_id": "your-generation-id."} This signals the generation has started. You can use the generation id to query video script generation status from this endpoint, using a JSON like below: {"generation_id": "your-generation-id"} Example response: {"script": "hello this is a video script.", "status": "finished", "generation_id": "your-generation-id"} ## ai_media_orgs_users_video_script_generation_text_create - [POST /api/ai-media/orgs/{org}/users/{user_id}/video-script-generation/text/](https://docs.ibl.ai/apis/ibl/ai-media/ai_media_orgs_users_video_script_generation_text_create.md): Endpoint to generate video scripts from a text. The request body should be a JSON with your text, like below: {"text": "Generate a script about a campus comedy."} Example response: {"script": "hello this is a video script."}